### Function

# GLib KeyFile new

since: 2.6

#### Declaration [src]

    GKeyFile*
    g_key_file_new (
      void
    )

#### Description [src]

Creates a new empty `GKeyFile` object.

Use `g_key_file_load_from_file()`, `g_key_file_load_from_data()`, `g_key_file_load_from_dirs()` or `g_key_file_load_from_data_dirs()` to read an existing key file.

Available since: 2.6

#### Return value

Type: `GKeyFile`

An empty `GKeyFile`.

The caller of the function takes ownership of the data, and is responsible for freeing it.